フェンリル

Developer's Blog

【重要】一部の環境や手順でデフォルトセキュリティが正しく動作しない問題

一部の環境で Sleipnir や Grani のデフォルトセキュリティが正しく動作しないことがあるとの報告をいただきました。
この問題を調査したところ、Internet Explorer 7 以上がインストールされている環境で特定の条件と手順により現象が発生することを確認しました。デフォルトセキュリティ設定をカスタマイズされている方は影響を受ける可能性があります。
以下の手順で修正したプラグインの適用をおこなってください。

  1. まずは Sleipnir や Grani の最新版を必ず導入してください。

    Sleipnir のページ
    Grani のページ

  2. 該当するアーカイブのダウンロードと解凍をおこないます。

    Sleipnir (unicode 版 – Windows 2000/XP/Vista 用)
    Sleipnir (mbcs 版 – Windows 98/98SE/Me 用)
    Portable Sleipnir
    Grani

  3. Sleipnir や Grani を起動している場合は必ず終了させてください。
  4. Sleipnir や Grani のインストールされているフォルダの以下の場所を Windows Explorer などで開きます。(デフォルトのインストール先は以下のようになります)

    Sleipnir の場合 C:\Program files\Fenrir & Co\Sleipnir\plugins\browser
    Grani の場合 C:\Program files\Fenrir & Co\Grani\plugins\browser

  5. このフォルダの中の IEBrowser.fx を必ずバックアップかリネームします。
  6. 解凍をおこなった新しい IEBrowser.fx をフォルダにコピーします。

以上で作業は完了です。
念のため Sleipnir や Grani が正しく動作するかを確認してください。正しく起動できない場合は適用するアーカイブが間違っている可能性があります。正しいアーカイブを適用するかバックアップやリネームした IEBrowser.fx を元の状態に戻してください。
Windows 98/98SE/Me で Internet Explorer 7 以上はサポートされておりませんが、念のため mbcs版も用意しております。

Facebook コメント

コメント

名前(必須)

メールアドレス(必須)

URL

スタイル用のタグが使えます

このコメント欄でのご質問、ご要望には、開発チームから回答できない場合があります。ご質問、ご要望は「User Community」内のフォーラムまでお寄せください。